Jump to content
Dark26

Le Linux BAR - Discussion de tout et de rien

Recommended Posts

Fiou, ça faisait longtemps que j'étais pas passé :cartonrouge:

Pour la question du nom de topic (même si ça va certainement rester comme ça), je trouve bien:

- soit de le laisser tel quel (je trouve que ça donne bien une ambiance "on refuse personne à l'entrée"),

- soit Linux, *BSD, Unix et Cie (Linux et pas GNU/Linux pour pas faire peur aux jeunes :transpi: , *BSD parce que c'est le 2° système dont on parle le plus, Unix pour dire que Solaris & Co sont encore les bienvenus...)

Bref, plutôt comme Lorinc, mais avec Unix en plus pour pas l'abandonner au bord de la route...

Share this post


Link to post
Share on other sites

Je suis d'accord avec Horus.

Bien que le terme GNU/Linux soit recommandé par Richard Stallman himself, pour bien mettre en avant que c'est l'ensemble logiciels/noyau qui forme une distribution, j'ai lu un peu partout que le terme était légèrement lourdingue et ne simplifiait pas la compréhension des non GNU/Linuxiens/GPLisés. Et puis toutes les distributions ne sont pas 100% GNU, c'est même plutôt rare, alors, finalement, à quelles distributions s'adresse vraiment ce terme ?

Il faut imposer le terme Linux même s'il ne reflète pas l'exacte vérité, c'est le prix à payer pour le développement du libre. Les gens auront toujours le temps de s'appercevoir qu'il existes des centaines de distributions !

Hum... voilà, voilà... C'était mon avis politique :cartonrouge:

Share this post


Link to post
Share on other sites

Les mentalités changent, doucement.

Je me rapelle avoir il y a quelque années (disons 1 an et demi deux ans) commandé chez un vendeur d'ordinateurs tout un PC (mais en pièces détachées, moins cher)

Il avait vu que je n'achetait pas MS windows, et à ce moment m'éavait proposé de m'en faire une copie, pour pas grand chose, je lui avais répondu que ce n'était pas nécessaire.

Ca, c'était avant.

Je viens d'apprendre que mon père a recu, avec son nouveau pc (sous windows, "obligatoire" pour cause de logiciel professionnel sous windows uniquement) une suite bureautique installé, pour 1€ de plus. Et ce n'était pas une copie pirate de MS Office. -/|\-/|\-/|\-/|\ (c'était un essai de "barre qui tourne" qui veut dire que vous devez trouver de quoi il s'agit)

Reste à voir si OOo sera suffisant pour cette application professionnelle (j'ai néanmoins un gros doute, elle pourra marcher sans, mais il utilise des bases access exportées de son application avec des scripts VB (j'ai honte, je l'ai aidé) pour rajouter des fonctionnalités utiles à son appli) (je compte voir dès que je rentre chez moi (ca risque d'être dans trop longtemps malheureusement) sous quelle(s) autre(s) formes il peut exporter ses bases, et le cas échéant lui réécrire ses outils)

Voila, c'était 3615 mylife

# shutdown -h now

Share this post


Link to post
Share on other sites

OOo 2.0 pourrait contribuer à faire changer, tout du moins évoluer les mentalités.

Share this post


Link to post
Share on other sites

ouaip, m'enfin pour les scipt VB je sais pas si OOo 2 fera grand chose ;)

c'est peut etre pas un mal d'ailleurs :p

Share this post


Link to post
Share on other sites

Sinon, Python est un excellent langage de script même pour Windows. Il y a plein d'interface d'accès à COM et compagnie...

Share this post


Link to post
Share on other sites
Sinon, Python est un excellent langage de script même pour Windows. Il y a plein d'interface d'accès à COM et compagnie...

faut d'abord que je voit en quoi je peux exporter la base, et après je peux lui réecrire les trucs. Peut-être que OOo 2.0 aidera, mais c'est pareil, faudra réecrire de toute façon ;)

Enfin, j'était surtout content que le vendeur soit passé du piratage au libre :)

Apres je me suis emporté dans des explication du pourquoi windows :transpi:

Share this post


Link to post
Share on other sites
Enfin, j'était surtout content que le vendeur soit passé du piratage au libre :)

Certes. Ca c'est vraiment une excellente nouvelle. Il faudrait vraiment que les constructeurs proposent une option OpenOffice, en plus de MSWorks. Les gens peuvent toujours acheter MSWorks ou MSOffice après, mais je suis sûr que dans une bonne partie des cas ils ne le feront pas (ou comment retourner les techniques MS contre eux... :) )

Share this post


Link to post
Share on other sites

Oui, mais une étape décisive serait de pouvoir acheter des pc sans OS, notamment des portables... Connaissez-vous des endroits où on peut trouver des pc sans ce pu**** de Windows?

neo

Share this post


Link to post
Share on other sites
Oui, mais une étape décisive serait de pouvoir acheter des pc sans OS, notamment des portables... Connaissez-vous des endroits où on peut trouver des pc sans ce pu**** de Windows?

neo

J'ai trouvé ca :) http://www.nicediscount.fr

sinon y'a hp qui fait une offre linux : http://www.hp.com/hpinfo/newsroom/press/2004/040803a.html

je n'ai pas vérifié le lien hp, par contre, nicediscount, il me semble que ca marche bien :)

Share this post


Link to post
Share on other sites
faut d'abord que je voit en quoi je peux exporter la base, et après je peux lui réecrire les trucs. Peut-être que OOo 2.0 aidera, mais c'est pareil, faudra réecrire de toute façon :oops:

Enfin, j'était surtout content que le vendeur soit passé du piratage au libre :)

Apres je me suis emporté dans des explication du pourquoi windows :mdr2:

Ya une excellente prise en charge des bases de données access sur OOo 2.0 .. tu peux jeter un coup d'oeil.

Le "problème" avec Netscape pourrait se reposer avec Staroffice, les gens qui sont pas content de ladouble licence et qui râlent de l'utilisation qui est faite du code libre par netscape.

C'est pourquoi je pense qu'il est nécessaire aussi de regarder ( et développer ) d'autres projets concurrents, afin de maintenir la pression auprès de boites comme sun ou netscape/aol.

Pour le Titre, Stalman préfèrerait GNU + Linux, car GNU est un OS complet :zarb: .

Sinon, la dernière proposition de theocrite ( o theocrites ) me va très bien.

Share this post


Link to post
Share on other sites

Bon, pas cool aujourd'hui...

Je démarre un 2.6.11-mm1 (ça avait l'air sympa, les options... quelques nouveux trucs, sans doute quelques améliorations...)

Je démarre une fois, ok...

Je met "nvidiafb" en dur, pour tester à la place de vesafb...

Je reboote, écran noir (je me dis "normal, gf6600gt, c'est un peu trop récent...")

Donc je reboote, sans le "vga=794"...

Et là, c'est le drâme...

Plein d'erreurs reiser4, (mon / est en reiser4) impossible de faire quoi que ce soit...

Donc je reboote avec mon ancien noyau, me disant que c'est peut-être juste le noyau qui est nul...

Et non, là c'est limite pire... ils parlent de pointeur NULL (dans le noyau!)

Après avoir testé tous mes noyaux, essayé de démarrer un initrd pour réparer, rien à faire...

Donc je prend une knoppix (3.6), installation de libaal+reiser4progs...

fsck.reiser4 sur la partitions en cause...

il me dit que le superblock est mauvais, de démarrer avec "--build-sb"

ok, ça fait des choses, ça travaille, il détecte quelques erreurs et dit de lancer avec "--build-fs" pour réparer...

Ce que je fais...

Il commence à réparer quelques erreurs, et d'un coup, des milliers de Input/Output error à la seconde...

Après quelques secondes, j'arrête avec ctrl+c...

Plus moyen de toucher à la partition!

Je reboote, réinsalle reiser4progs...

relance avec "--build-fs"...

Là ça se passe mieux (les 2 premières erreurs avaient bien été réparées)

et ça continue tranquillement jusqu'à la fin... tout en me disant des erreurs pour resolv.conf et mtab (=>lost+found)

Je refait un test, ça a l'air ok...

un reboot... ça marche !!! (sauf resolv.conf à refaire...)

Moralité : le reiser4 est quand même assez résistant, mais ça fait quand même une bonne frayeur, perso j'aurai préféré que ça n'arrive pas ;)

Et puis, heureusement que ça a marché, j'aurais du refaire toute une install (y'a que mon système sur le reiser4), ce qui prend pas mal de temps :transpi:

Bon, en tout cas, je ne me pleint pas trop, après tout, c'est moi qui ai voulu tester... (en tout cas, je vais attendre le 2.6.12, moi :transpi: )

Share this post


Link to post
Share on other sites
Bon, en tout cas, je ne me pleint pas trop, après tout, c'est moi qui ai voulu tester... (en tout cas, je vais attendre le 2.6.12, moi :transpi: )

Hmmmm

Quand un kernel est en 2.6.11 par exemple, c'est que c toujours en test car le 11 est impair ? Ou ce n'est que pour le 2 eme chiffre des version (par exemple 2.7.11 au lieu de 1.6.11)

J'avais cru comprendre que seul le deuxieme chiffre devait etre pair pour atre stable, les 2 autres 'ninfluencaient en rien.

J'ai faux ? :transpi:

Share this post


Link to post
Share on other sites
Hmmmm

Quand un kernel est en 2.6.11 par exemple, c'est que c toujours en test car le 11 est impair ? Ou ce n'est que pour le 2 eme chiffre des version (par exemple 2.7.11 au lieu de 1.6.11)

J'avais cru comprendre que seul le deuxieme chiffre devait etre pair pour atre stable, les 2 autres 'ninfluencaient en rien.

J'ai faux ? :transpi:

Ce sera peut-être vrai pour les prochaines releases, pour l'instant, c'est pas du tout ça...

par contre, le patchset "mm", est réservé aux tests...

Share this post


Link to post
Share on other sites

Version du noyau : X.Y.Z :

X = génération du noyau

Y = Sous génération, numéro pair = stable, numéro impair n version de dév de la future version stable n+1

Z = Evolution

2.6.11

Noyau de seconde génération, 4e evolution majeure ( 0, 2, 4 , 6 ) stable et 11e revision. Les premiers noyaux de developpement du noyau 2.8 seront donc 2.7.z, et les 2.5.z etaient les versions de dev des 2.6

Share this post


Link to post
Share on other sites

Linus avait suggéré une sous-sous-numérotation ...

la raison était d'éviter le "phénomène" 2.4.11 (un noyau qui avait un bug assez critique - genre dans le support de l'IDE, on est donc vite passé au 2.4.12, mais un certain nombre de malinformés ont installé le 2.4.11 - peut-être parceque le 2.4.12 ne leur convenait pas - et ont eu plus de problèmes que prévu ...)

Comme un problème similaire est arrivé avec le 2.6.8, il a [pro|im]posé le 2.6.8.1 plutôt que le 2.6.9, puisqu'il n'y avait qu'une correction d'un bug.

Pour tuxxx : suis passé en 2.6.11-gentoo-r2 ce WE, sans heurt ... mais j'ai eu mon WE à la con il y a quelques semaines, apparemment ça tourne :craint:

edit> les "on dit" laissent entendre qu'il n'y aura pas de 2.8 mais un 3.0 - et d'autres disent que le 2.6 est déjà tellement différent en soi du 2.4 (sur la partie abstraction matérielle et drivers en particulier) qu'il aurait du être 3.0.

Edited by Sandeman

Share this post


Link to post
Share on other sites

Salut les fan du pinguin :ouioui:

J'ai une ptit question, j'ai la Red Hat 9.0 (pour un ptit serveur de test) et j'ai besoin de la libraire perl pour moi installé un programme (OpenSplash pour ne pas le citer) seulement pas moyen de la trouver. J'ai telecharger perl-base-5.8.3-62256cl.i386.rpm mais il me dit qu'il me faut libperl.so.5.8 que je n'arrive pas à trouver :ouioui:

Share this post


Link to post
Share on other sites

J'ai installé perl l'ete dernier sur un serveur ibm avec une red hat 9, mais j'ai du prendre les sources et les recompiler à la main. ( le .tar.gz )

Share this post


Link to post
Share on other sites

arf, c'est compliquer docteur?

j'ai trouve sur google un debut de réponse

locate libperl
/usr/lib/perl5/5.6.1/i386-linux/CORE/libperl.a
/usr/lib/apache/libperl.so
rpm -qfi /usr/lib/apache/libperl.so

Mais quand je tape la commande rpm -qfi il me sort juste un descriptif du package et pas moyen de faire un rpm -i car ce n'est pas un package

Share this post


Link to post
Share on other sites

bon, avant de repartir pur une semaine sans internet, je te reponds vite fait une idee en vrac, as tu essayé d'installer les packages -dev qui correspondent ?

Share this post


Link to post
Share on other sites

pour chaque bibliothèque tu as souvent (toujours) un paquet de developpement fournit avec, qui contient des tas de trucs en plus, des fois que la bibliothèque statique ne soit pas suffisante;

ces paquet se nomment souvent nom_du_paquet-devel.

c'est possible que cela resolvent bons nombres de tes problème.

sinon, ça m'étaoinne qu'il n'y ait pas de perl sur RH, peut-être un symlink qui manque, plutôt, non?

> pour le noyau, la distinction entre stable et instable est de plus en plus dur à faire. ceux qui ont tourné avec un 2.5 peuvent en témoigner...

Share this post


Link to post
Share on other sites

ouaip :roll:

:francais::p :8 :eeek2::mdr::mdr::mdr::mdr:

apparement c'est pas encore totallement irrécupérable

mais ca s'annonce quand meme vraiment très mal :pleure:

Share this post


Link to post
Share on other sites

ça vient d'être mis en news sur PCI, d'ailleurs...

je suis sans doute pessimiste par nature, mais, j'ai bien peur que nous vivons là nos dernières heures au grand jour...

:francais:

Share this post


Link to post
Share on other sites

Please sign in to comment

You will be able to leave a comment after signing in



Sign In Now

×
×
  • Create New...